---
title: 'math:highest()'
slug: Web/EXSLT/math/highest
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}{{Fx_minversion_header(3)}}</div>

<p><code>math:highest()</code> returns the node in the specified node-set with the highest value (where the highest value calculated using <a href="/en-US/docs/EXSLT/math/max"><code>math:max()</code></a>).</p>

<p>A node has this maximum value if converting its string value to a number equals the maximum value.</p>

<p>{{Note("???")}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">math:highest(<em>nodeSet</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><em>nodeSet</em></code></dt>
 <dd>The node-set whose highest value is to be returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A result tree fragment consisting of copies of the nodes returned by <code><a href="/en-US/docs/EXSLT/math/max">math:max()</a></code>.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/math/functions/highest/index.html">EXSLT - MATH:HIGHEST</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.math.highest")}}</p>
